# 50. Užklausa: gauti gardelinius duomenis iš „VektorinėsAnalizėsŽemėlapio“

Užklausa gauti tinkleliu pateiktus duomenis iš „VectorAnalysisMap“ kaip `GEOJSON`  su taškais arba `GEOTIFF`. Properties atributas talpina originalius duomenis (pvz., indekso reikšmę) kiekvienam taškui.

#### 1. Užsakyti eksportuojamą failą

{% hint style="danger" %}
Rekomenduojama gauti tik vieną duomenų rinkinį su `sourceDataUrl` kiekvienam užklausos prašymui.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, ir `MinusTwoPixels` yra prieinami kaip `pvz. buferis`.

`GEOJSON` ir `GEOTIFF` yra prieinami kaip formatas.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromVectorAnalysisMap {
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    farmOwnership
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]){
      uuid
      vectorAnalysisMaps(vectorAnalysisMapUuids: ["<placeholder_of_zonesmap_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Atsisiųsti sugeneruotą failą

Sėkmingai paruošus failą, jį galima atsisiųsti naudojant `curl` ar panašų būdą.

{% hint style="danger" %}
`sourceDataUrl` nuoroda prieinama tik **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/50.-uzklausa-gauti-gardelinius-duomenis-is-vektorinesanalizeszemelapio.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
